闪屏页面
GET https://olinke.com/api/splash-pages/
curl --request GET \
--url 'https://olinke.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:splash_page_id, datetime, last_datetime, name。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-04-17 10:24:37",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/projects?page=1",
"last": "https://olinke.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/projects?page=1"
}
}
GET https://olinke.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://olinke.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-04-17 10:24:37",
}
}
POST https://olinke.com/api/projects
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| title | 可选的 字符串 | - |
| logo | 可选的 文件 | - |
| favicon | 可选的 文件 | - |
| opengraph | 可选的 文件 | - |
| description | 可选的 字符串 | - |
| secondary_button_name | 可选的 字符串 | - |
| secondary_button_url | 可选的 字符串 | - |
| custom_css | 可选的 字符串 | - |
| custom_js | 可选的 字符串 | - |
| ads_header | 可选的 字符串 | - |
| ads_footer | 可选的 字符串 | - |
| link_unlock_seconds | 可选的 整数 | - |
| auto_redirect | 可选的 布尔值 | - |
curl --request POST \
--url 'https://olinke.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://olinke.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/splash-pages/{splash_page_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 可选的 字符串 | - |
| title | 可选的 字符串 | - |
| logo | 可选的 文件 | - |
| favicon | 可选的 文件 | - |
| opengraph | 可选的 文件 | - |
| description | 可选的 字符串 | - |
| secondary_button_name | 可选的 字符串 | - |
| secondary_button_url | 可选的 字符串 | - |
| custom_css | 可选的 字符串 | - |
| custom_js | 可选的 字符串 | - |
| ads_header | 可选的 字符串 | - |
| ads_footer | 可选的 字符串 | - |
| link_unlock_seconds | 可选的 整数 | - |
| auto_redirect | 可选的 布尔值 | - |
curl --request POST \
--url 'https://olinke.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://olinke.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://olinke.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \